#ifndef FINDCMD_H
#define FINDCMD_H

#include <QObject>
#include "serverthread.h"
#include <QPair>
#include <QQueue>
#include <QDir>
#include <QRegExp>
#include <QMutex>
#include "userid.h"

class FINDcmd : public QObject
{
	Q_OBJECT
public:
	FINDcmd(const UserID &uid, const QString &request, ServerThread *parent);
	~FINDcmd();

	ServerThread *parent() const;

public slots:
	void process();
	void finish();

signals:
	void activity();
	void finished();

private:
	QQueue<QString> workQueue;
	QString req;
	int k;
	bool dead;
	const UserID uid;
};

#endif // FINDCMD_H
