#ifndef IPFILE_H
#define IPFILE_H

#include "ipobject.h"
#include <QFile>
#include "userid.h"

class IPFile
{
public:
	IPFile(const UserID &uid, const QString &filename);
	~IPFile();

	bool exists() const;
	bool isReadable() const;
	bool isWritable() const;
	qint64 size() const;
	bool isOpen() const;
	bool seek(qint64 offset);
	void open(QFile::OpenMode mode);
	void close();
	void flush();
	QByteArray read(qint64 maxlen);
	void write(const QByteArray &data);

private:
	QString fullname;
	QString filename;
	QString user;
	quint32 fileID;
	bool bOpen;
	const UserID uid;
};

#endif // IPFILE_H
